classification
Title: Incorrect compiler options used for cc of Sun Studio 12
Type: compile error Stage:
Components: Installation Versions: Python 2.5
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: loewis, mschmarck, pitrou
Priority: normal Keywords:

Created on 2008-09-05 07:41 by mschmarck, last changed 2008-09-08 07:09 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
config.log mschmarck, 2008-09-08 06:42
build-Python-2.5.2.log mschmarck, 2008-09-08 06:44 build log
Messages (6)
msg72575 - (view) Author: Michael Schmarck (mschmarck) Date: 2008-09-05 07:41
While compiling Python 2.5.2, I stumbled upon this:

cc -G -R/export/home/webservd/.software/Python-2.5.2/lib
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callbacks.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/stgdict.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/cfield.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/malloc_closure.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/prep_cif.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/ffi.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/v8.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/v9.o
-L/export/home/webservd/.software/Python-2.5.2/lib -L/usr/local/lib
-lpython2.5 -o build/lib.solaris-2.10-sun4u-2.5/_ctypes.so -mimpure-text
cc: Warning: illegal option -mimpure-text


--($ ~/Source)-- CC -V
CC: Sun C++ 5.9 SunOS_sparc Patch 124863-01 2007/07/25

--($ ~/Source)-- cc -V
cc: Sun C 5.9 SunOS_sparc Patch 124867-01 2007/07/12
usage: cc [ options] files.  Use 'cc -flags' for details

This is cc/CC from Sun Studio 12 on a Solaris 10 U5 Sparc system.

-mimpure-text is a gcc option.
msg72585 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-09-05 11:59
Is it really a compile error or just a warning?
msg72751 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-07 20:18
Also, can you please attach your config.log?
msg72765 - (view) Author: Michael Schmarck (mschmarck) Date: 2008-09-08 06:42
It's a warning.
msg72766 - (view) Author: Michael Schmarck (mschmarck) Date: 2008-09-08 06:44
Attaching a log of the complete build process of Python 2.5.2.
msg72769 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-08 07:09
Ah, now I see the problem. This is ctypes-specific, and ctypes requires
gcc on Solaris. Closing as "won't fix".
History
Date User Action Args
2008-09-08 07:09:55loewissetstatus: open -> closed
resolution: wont fix
messages: + msg72769
2008-09-08 06:44:33mschmarcksetfiles: + build-Python-2.5.2.log
messages: + msg72766
2008-09-08 06:42:07mschmarcksetfiles: + config.log
messages: + msg72765
2008-09-07 20:18:12loewissetnosy: + loewis
messages: + msg72751
2008-09-05 11:59:29pitrousetnosy: + pitrou
messages: + msg72585
2008-09-05 07:41:50mschmarckcreate